Web Assembly Module APIs
Get the WebAssembly module (Wasm) ZIP bundle for a Spark service. This can be used to run Spark services locally.
If using an API key, the API key group must contain user groups that are also assigned to Spark.GetNodegenZip.json or Spark.AllEncompassingProxy.json.
Bearer token can be accessed from the user menu.
Tenant is part of your sign-in URL and also available in the user menu.
mytenantFolder associated with the API call.
myfolderService associated with the API call.
myserviceOK
POST /{tenant}/api/v3/nodegen/getnodegenzipbyId/folders/{folder}/services/{service} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
binaryIf using an API key, the API key group must contain user groups that are also assigned to Spark.GetNodegenZip.json or Spark.AllEncompassingProxy.json.
Bearer token can be accessed from the user menu.
Tenant is part of your sign-in URL and also available in the user menu.
mytenantservice_id of the requested service.
4bab4cc7-fde1-4315-871d-17a72c4c39a2OK
POST /{tenant}/api/v3/nodegen/getnodegenzipbyId/service/{serviceId} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
binaryIf using an API key, the API key group must contain user groups that are also assigned to Spark.GetNodegenZip.json or Spark.AllEncompassingProxy.json.
Bearer token can be accessed from the user menu.
Tenant is part of your sign-in URL and also available in the user menu.
mytenantversion_id of the requested service.
0fb13c76-8b9b-43da-b664-2b11eb11d5c3OK
POST /{tenant}/api/v3/nodegen/getnodegenzipbyId/version/{versionId} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
binaryLast updated
